Bug 1779640 - Cluster-autoscaler stuck on update, doesn't report status
Summary: Cluster-autoscaler stuck on update, doesn't report status
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Alberto
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On:
Blocks: 1779741
TreeView+ depends on / blocked
 
Reported: 2019-12-04 12:27 UTC by Vadim Rutkovsky
Modified: 2020-05-15 15:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1779741 1779743 1779745 (view as bug list)
Environment:
Last Closed: 2020-05-15 15:45:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-autoscaler-operator pull 124 'None' closed Bug 1779640: Don't suppress errors when reporting operator status 2020-05-15 14:35:16 UTC

Description Vadim Rutkovsky 2019-12-04 12:27:06 UTC
Description of problem:

4.3 nightly -> 4.3 nightly update failed:
`failed to initialize the cluster: Cluster operator cluster-autoscaler is still updating`
https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-origin-installer-e2e-aws-upgrade/11999

Clusteroperators list (https://storage.googleapis.com/origin-ci-test/logs/release-openshift-origin-installer-e2e-aws-upgrade/11999/artifacts/e2e-aws-upgrade/clusteroperators.json) shows its empty (?):

...
        {
            "apiVersion": "config.openshift.io/v1",
            "kind": "ClusterOperator",
            "metadata": {
                "creationTimestamp": "2019-12-04T00:20:33Z",
                "generation": 1,
                "name": "cluster-autoscaler",
                "resourceVersion": "11333",
                "selfLink": "/apis/config.openshift.io/v1/clusteroperators/cluster-autoscaler",
                "uid": "ed891617-6cf2-4c78-9c0e-54d2e86af724"
            },
            "spec": {}
        },
...


Version-Release number of selected component (if applicable):
4.3.0-0.nightly-2019-12-03-211441 -> 4.3.0-0.nightly-2019-12-03-234445

How reproducible:



Additional info:

Comment 1 Brad Ison 2019-12-04 15:49:10 UTC
The underlying issue here is that etcd was under load and taking multiple seconds to sync its log, which was causing leader elections, and I think some API writes to fail.

In addition, the cluster-autoscaler-operator was not reporting failures to apply updates to its ClusterOperator resource, and worse, was not retrying when it failed to apply an "Available" status. So the CVO was unaware of its success. The linked PR fixes that, and I'll make sure it's back ported to previous releases.

Comment 2 W. Trevor King 2019-12-04 18:14:43 UTC
> The underlying issue here is that etcd was under load and taking multiple seconds to sync its log, which was causing leader elections, and I think some API writes to fail.

General tracker for this portion is bug 1775878.

Comment 4 Jianwei Hou 2019-12-20 03:31:10 UTC
Verified in 4.4.0-0.nightly-2019-12-19-223334.

oc get co cluster-autoscaler -o yaml
apiVersion: config.openshift.io/v1
kind: ClusterOperator
metadata:
  creationTimestamp: "2019-12-20T03:11:49Z"
  generation: 1
  name: cluster-autoscaler
  resourceVersion: "9771"
  selfLink: /apis/config.openshift.io/v1/clusteroperators/cluster-autoscaler
  uid: 99dba483-4ca7-4f50-af40-6ceeddfd0143
spec: {}
status:
  conditions:
  - lastTransitionTime: "2019-12-20T03:11:49Z"
    message: at version 4.4.0-0.nightly-2019-12-19-223334
    status: "True"
    type: Available
  - lastTransitionTime: "2019-12-20T03:11:49Z"
    status: "False"
    type: Progressing
  - lastTransitionTime: "2019-12-20T03:11:49Z"
    status: "False"
    type: Degraded
  - lastTransitionTime: "2019-12-20T03:11:49Z"
    status: "True"
    type: Upgradeable
  extension: null
  relatedObjects:
  - group: machine.openshift.io
    name: ""
    namespace: openshift-machine-api
    resource: machineautoscalers
  - group: machine.openshift.io
    name: ""
    namespace: openshift-machine-api
    resource: clusterautoscalers
  - group: ""
    name: openshift-machine-api
    resource: namespaces
  versions:
  - name: operator
    version: 4.4.0-0.nightly-2019-12-19-223334


Note You need to log in before you can comment on or make changes to this bug.